org.codehaus.plexus.util

## Class InterpolationFilterReader

- java.lang.Object
- - java.io.Reader
  - - java.io.FilterReader
    - - org.codehaus.plexus.util.InterpolationFilterReader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

      public class InterpolationFilterReader
      extends java.io.FilterReader

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterReader

      `in`

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterpolationFilterReader(java.io.Reader in, java.util.Map variables)`
    `InterpolationFilterReader(java.io.Reader in, java.util.Map variables, java.lang.String beginToken, java.lang.String endToken)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()` Returns the next character in the filtered stream, replacing tokens from the original stream.
    `int` | `read(char[] cbuf, int off, int len)` Reads characters into a portion of an array.
    `long` | `skip(long n)` Skips characters.

    - ### Methods inherited from class java.io.FilterReader

      `close, mark, markSupported, ready, reset`

    - ### Methods inherited from class java.io.Reader

      `read, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterpolationFilterReader

          public InterpolationFilterReader(java.io.Reader in,
                                           java.util.Map variables,
                                           java.lang.String beginToken,
                                           java.lang.String endToken)

    - #### InterpolationFilterReader

          public InterpolationFilterReader(java.io.Reader in,
                                           java.util.Map variables)

  - ### Method Detail

    - #### skip

          public long skip(long n)
                    throws java.io.IOException

      Skips characters. This method will block until some characters are available, an I/O error occurs, or the end of the stream is reached.
      Overrides:
        `skip` in class `java.io.FilterReader`
      Parameters:
        `n` - The number of characters to skip
      Returns:
        the number of characters actually skipped
      Throws:
        `java.lang.IllegalArgumentException` - If `n` is negative.
        `java.io.IOException` - If an I/O error occurs

    - #### read

          public int read(char[] cbuf,
                          int off,
                          int len)
                   throws java.io.IOException

      Reads characters into a portion of an array. This method will block until some input is available, an I/O error occurs, or the end of the stream is reached.
      Overrides:
        `read` in class `java.io.FilterReader`
      Parameters:
        `cbuf` - Destination buffer to write characters to. Must not be `null`.
        `off` - Offset at which to start storing characters.
        `len` - Maximum number of characters to read.
      Returns:
        the number of characters read, or -1 if the end of the stream has been reached
      Throws:
        `java.io.IOException` - If an I/O error occurs

    - #### read

          public int read()
                   throws java.io.IOException

      Returns the next character in the filtered stream, replacing tokens from the original stream.
      Overrides:
        `read` in class `java.io.FilterReader`
      Returns:
        the next character in the resulting stream, or -1 if the end of the resulting stream has been reached
      Throws:
        `java.io.IOException` - if the underlying stream throws an IOException during reading